// ********************************************************************
//
//  Routine:      acReadOTR
//  Author:       T.Oest
//
//  Description:  read OTR alignment constants
//                
//
//  Modification:
//
// ********************************************************************


#include <iostream.h>
#include <stdlib.h>
#include <math.h>
#include <algo.h>
#include <limits.h>
#include "arte/arte.hh"
#include "database/table.h"

#include "online/esp.h"

void TAReadFile(char* filename="/afs/desy.de/user/k/kruecker/public/align/TAAlign.txt", int prtflg=0);

static int first = 0;

//*****************************************************************
// function
//*****************************************************************

int acReadOTR(int KTstatus) {

//==================================================================
// only read in for the first call
//==================================================================

 if (first == 0){

   first = 1;

//==================================================================
// get file name, and read constants
//==================================================================

 char * OTRdb;

 if (getenv("DB_OTR_ALIGNMENT") != NULL){

   OTRdb = getenv("DB_OTR_ALIGNMENT");

   TAReadFile(OTRdb);

 } else {
   return -2;
 };

   return -1;

 };



 return -1;
}
