/************************************************************************
*
* zgdig
* written by Siegmund Nowak, April 99
*
* class zgdig contains some methods (macros) for digitization procedure 
*
*
*       called from everywhere inside digi
*
************************************************************************/
#include "arte/arte.hh"
#include "digi/zgdig.hh"

int  zgdig::Get_nmimp(int &first_mimp) {
   ArtePointer<GEDE> gd(gede_plane);
   int nmim = 0;   
   first_mimp  = gd->mim1.index();
   if(first_mimp != 0) nmim  = gd->miml.index() - first_mimp + 1;
   return nmim;
}

void zgdig::Set_hit_for_nomimp() {
   ArtePointer<GEDE> gd(gede_plane); 
   gd->dig1 = 0;         gd->hit1 = 0; 
   gd->digl = -1;        gd->hitl = -1;  
   return;
}

void zgdig::Rotate2plane_Z(const float pold[], float pnew[]) { 
   ArtePointer<GEDE> gd(gede_plane);
   pnew[0] = gd->rot[0]*pold[0] + gd->rot[3]*pold[1];
   pnew[1] = gd->rot[1]*pold[0] + gd->rot[4]*pold[1];
   pnew[2] = pold[2];
} 

void zgdig::find_hitted_wires() {}
void zgdig::Sort_digx() {} 






