
// ******************************************************************
//
// D. Samtleben 10 Aug 1999
//
// Declaration of Histograms and Initialization
//
// changes:
// 27 Oct 1999 (AG) use defines from DQ.h
//  1 Nov 1999 (AG) get rid of dq_hid.h
// 19 Nov 1999 (AG) show up
// 17 Feb 2000 (DD) FED occupancy
// 
// ******************************************************************

// standard includes
#include <iostream.h>
#include <stdlib.h>
#include <stdio.h>

// ONLINE includes
#include "rhp.h"

// ARte includes
#include "arte/arte.hh"
#include "dq/DQ.h"
#include "dq/DQ_RICH.h"

//
// function code
//
int
DQ_RICH_hit_init()
{
  cout << "DQ_RICH_hit_init()" << endl;

  rhp_hbook1(DQ_ID(COMP_RICH,LVL_HIT,1),"RICH: Nr of hits in event",50,0,2000);
  rhp_hbook2(DQ_ID(COMP_RICH,LVL_HIT,2),"RICH: phi versus lambda",50,-0.2,0.2,50,-0.15,0.15);
  rhp_hbook1(DQ_ID(COMP_RICH,LVL_HIT,3),"RICH: Occupancy per FED",28,-.5,27.5);
  rhp_hbook1(DQ_ID(COMP_RICH,LVL_HIT,4),"RICH: Channel Occupancy",27000,-.5,26999.5);
  rhp_hbook1(DQ_ID(COMP_RICH,LVL_HIT,5),"RICH: Occupancy per FED Ratio",28,-.5,27.5);
  rhp_hbook1(DQ_ID(COMP_RICH,LVL_HIT,6),"RICH: Occupancy per Channel Ratio",27000,-.5,26999.5);
  

  return 0; // return error code (0 = okay)
}

