       SUBROUTINE PTLDRW
***************************************************************************
*                                                                         *
* PPPPPPPPP   TTTTTTTTTT  LL        DDDDDDDD     RRRRRRRRR   WW        WW *
* PPPPPPPPPP  TTTTTTTTTT  LL        DDDDDDDDD    RRRRRRRRRR  WW        WW *
* PP      PP      TT      LL        DD      DD   RR      RR  WW        WW *
* PP      PP      TT      LL        DD       DD  RR      RR  WW        WW *
* PP      PP      TT      LL        DD       DD  RR      RR  WW        WW *
* PPPPPPPPPP      TT      LL        DD       DD  RRRRRRRRRR  WW        WW *
* PPPPPPPPP       TT      LL        DD       DD  RRRRRRRRR   WW   WW   WW *
* PP              TT      LL        DD       DD  RR  RR      WW  WWWW  WW *
* PP              TT      LL        DD       DD  RR   RR     WW WW  WW WW *
* PP              TT      LL        DD      DD   RR    RR    WWWW    WWWW *
* PP              TT      LLLLLLLL  DDDDDDDDD    RR     RR   WWW      WWW *
* PP              TT      LLLLLLLL  DDDDDDDD     RR      RR  WW        WW *
*                                                                         *
***************************************************************************
C   To draw a view of one PT superlayer or its components

      IMPLICIT NONE
#include "arte/Arte.fi"
#include "gean/gclink.fi"
#include "auto/GEO.fi"
#include "auto/PT.fi"
#include "gean/ZGESL.fi"


      INTEGER     I,IVOL,LVOL,IUCOMP,J,lenocc,IAX
      EXTERNAL    IUCOMP,lenocc   
      CHARACTER*4 PERS,SUPL,CNAME,CTMP
      REAL        THETA,PSI,PHI,V0,U0,SV,SU,CUT

      INTEGER     NCALL
      SAVE        NCALL
      DATA        NCALL / 0 /
  
#include "arte/Arte.ff"
#include "auto/GEO.ff"
#include "auto/PT.ff"
C
      NCALL = NCALL + 1 

      PERS = 'D' 
      CALL KUGETC( PERS  , J )
      SUPL = 'PTL1'
      CALL KUGETC( SUPL  , J )
      THETA = 20.0 
      CALL KUGETR( THETA     )  
      PHI   = 20.0 
      CALL KUGETR( PHI       )  
      PSI   = 20.0 
      CALL KUGETR( PSI       )  
      IAX = 3 
      CALL KUGETI( IAX       ) 
      CUT = 0.0
      CALL KUGETR( CUT       )
      U0  = 10.0 
      CALL KUGETR( U0        )  
      V0  = 10.0 
      CALL KUGETR( V0        )  
      SU  = 10.0 
      CALL KUGETR( SU        )  
      SV  = 10.0 
      CALL KUGETR( SV        )  

      CALL GDOPT('HIDE','ON  ')
      CALL GDOPT('SHAD','ON  ')

      DO i = 1 , IQ( JVOLUM - 1 )
       CALL CHHTOC(IQ(JVOLUM+i),CTMP)
       IF( CTMP(1:2) .EQ. 'SZ' )THEN
        CALL GSATT(CTMP,'SEEN',0)
       ENDIF 
       IF( CTMP(1:2) .EQ. 'RF' )THEN
        CALL GSATT(CTMP,'SEEN',0)
       ENDIF 
       IF( CTMP(1:2) .EQ. 'FL' )THEN
        CALL GSATT(CTMP,'SEEN',0)
       ENDIF 
       IF( CTMP(1:2) .EQ. 'SC' )THEN
        CALL GSATT(CTMP,'SEEN',0)
       ENDIF 
       IF( CTMP(1:2) .EQ. 'RP' )THEN
        CALL GSATT(CTMP,'SEEN',0)
       ENDIF 
       IF( CTMP(1:2) .EQ. 'VT' )THEN
        CALL GSATT(CTMP,'SEEN',0)
       ENDIF 
      ENDDO  

      IF( JPTGE .NE. 0 )THEN 
       IF( NPTGE() .GT. 0 )THEN
        DO i = 1 , NPTGE()
         IF( IPTGE_FLAG( i ) .EQ.   1 .OR. 
     &       IPTGE_FLAG( i ) .EQ. -1) THEN
          IVOL = IUCOMP(IQ(HQPTGE_NAME(i)),IQ(JVOLUM+1),
     &                                     IQ(JVOLUM-1))
          LVOL = 0 
          IF( IVOL .GT. 0  ) LVOL = LQ(JVOLUM-IVOL)
          IF( LVOL .GT. 0  )THEN
           CALL CHHTOC(IQ(HQPTGE_NAME(i)),CNAME)
           CALL GSATT(CNAME,'SEEN',IPTGE_SEEN(i))
           CALL GSATT(CNAME,'COLO',IPTGE_COLO(i))
           CALL GSATT(CNAME,'FILL',IPTGE_FILL(i))
          ENDIF 
         ENDIF 
        ENDDO 
       ENDIF 
      ENDIF 

      IF( SUPL .EQ. 'MAGN' )THEN
       CALL GSATT('SCRP','SEEN',0)
      ENDIF 

      IF( PERS(1:1) .EQ. 'D' )THEN
       CALL GDRAW(SUPL,THETA,PHI,PSI,U0,V0,SU,SV)
      ELSE
       CALL GDRAWC(SUPL,IAX,CUT,U0,V0,SU,SV)
      ENDIF 

 999  RETURN
      END


