*CMZ :  1.00/00 22/12/94  18.39.27  by  Dominik Ressing
*-- Author :    Dominik Ressing   10/12/94
************************************************************************
*
* L1GEPOT
* written by Dominik Ressing, 10/12/94 14.40.10
*
* This routines action:
* get first track number from relations to point
*
* Arguments  kind         description
*          (in,update,out)
*----------------------------------------------------------------------*
* iHiPosZ     in       Hit pointer for the found hits 0 layer
* iHiPosP     in       Hit pointer for the found hits + alpha layer
* iHiPosN     in       Hit pointer for the found hits - alpha layer
* itr         out      first completly covered track
*
************************************************************************
c
      SUBROUTINE L1GEPOT(iHiPosZ,iHiPosP,iHiPosN,itr)
c
      IMPLICIT NONE
      INTEGER iHiPosZ,iHiPosP,iHiPosN,itr
c
      INTEGER ihitsor(100),iflag(100),k,nfou
c
      Nfou = 100
      CALL l1getrs(iHiPosZ,iHiPosP,iHiPosN,Nfou,ihitsor,iflag)
c
      DO k=1,Nfou
         IF ( iflag(k).eq.7 ) THEN
            itr = ihitsor(k)
            RETURN
         END IF
      END DO
c
      itr = 0
c
      RETURN
c
      END
