
//## Boris Fominykh  26.12.1999
// member functions of base class MuDbChamber

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>
#include <iostream.h>
#include <iomanip.h>

#include <sys/types.h>
#include <netinet/in.h>
// #include "etb.h"

#include "murec/MuDbChamber.h"

typedef unsigned int   LWord;

//** Constructor */
MuDbChamber::MuDbChamber()
{
  setDBname("/MUON_DB");
  setKTstatus(2);
  setRun(0);
  setMinor(0);
  setEndian();
}

//** Destructor */
MuDbChamber::~MuDbChamber()
{
}

//## Methods

//** Set Data Base name */
void MuDbChamber::setDBname(char* name)
{
  strncpy(DBname,name,128);
  return;
}

//** Set the Endian */
void MuDbChamber::setEndian()
{
  LWord cc = 0x01020304;
// not change the bit order for Big endian   
  if(cc == htonl(cc)) Endian=0;
// change the bit order for Little endian
  else Endian=1;
  return;
}
