
* B.Fominykh  16.06.98
* the routine of the MUREC-B package
* managing the grouth of the track tree
*
      SUBROUTINE MURTREE
C     ==================
      IMPLICIT NONE
      INTEGER NSEED,NHITS,IS,IOUT,ISTAR,IPR
      INTEGER IDEBPR
***      INTEGER IBRBEST
*
#include "murec/MUCBTAB.fi"
#include "murec/MUCBZDT.fi"
#include "murec/MUCKALF.fi"
#include "murec/MUCONT.fi"
#include "arte/Arte.fi"
#include "auto/EVHD.fi"
#include "auto/GEO.fi"
#include "auto/HITB.fi"

#include "arte/Arte.ff"
#include "auto/GEO.ff"
#include "auto/HITB.ff"
C----+===1=========2=========3=========4=========5=========6=========7==********
*
      NSEED=IQ(JTMP6+2)
      NHITS=IQ(JTMP8+2)
      IF(IPRSC.GT.0) PRINT 1001, NSEED,NHITS
      IF(IPRLG.GT.0) WRITE(LLOGF,1001) NSEED,NHITS
 1001 FORMAT(2X,'*** MURTREE starts with',I4,' seeds and',
     +       I4,' clusters')
      IF(NSEED.LE.0) GOTO 200
      IF(NHITS.LE.0) GOTO 200
*
      IFREE=1               ! 1st row is free
      DO 50 IS=1,NSEED
        CALL MURTRIN(IS,IOUT)
        IF(IOUT.NE.1) GOTO 200
        ISTAR=IFREE

* set a debug control
        IDEBPR=-1
* event number
*        IF(IQ(JEVHD+JEVHD_EVT+2).EQ.77) THEN
*          IDEBPR=-1
* seed number
***          IF(ISDORD(IS).EQ.9) IDEBPR=1
*        ENDIF

        IF(IDEBPR.GT.0) WRITE(LLOGF,*)
     +   '*** debug for seed', ISDORD(IS),' ISTAR,IFREE',ISTAR,IFREE

        CALL MURTRG(ISTAR,IDEBPR)

        IF(IDEBPR.GT.0) WRITE(LLOGF,*)
     +   '*** MURTRG end for seed ', ISDORD(IS),
     +   ' ISTAR,IFREE',ISTAR,IFREE

        IF(ISTAR.GE.IFREE) GOTO 50

        CALL MURTRQU(ISTAR,IFREE-1)

*        IPR=0
*        IF(IPRLG.GT.1) IPR=1
*        CALL MURABRSD(ISTAR,IFREE-1,IPR,IBRBEST)

*        IF(IPRLG.GT.0) WRITE(LLOGF,*),'MURTREE: BR1,BR2,BRBEST',
*     +                    ISTAR,IFREE-1,IBRBEST

*        IF(IDEBPR.GT.0)
*     +  CALL MURTRPRB(0,ISTAR,IFREE-1)

        IPR=0
        IF(IPRLG.GT.1) IPR=1
        CALL MURSEL1B(IPR,ISTAR,IFREE-1)

*        IF(IDEBPR.GT.0)
*     +   WRITE(LLOGF,*)
*     +  '*** end for seed', ISDORD(IS),' ISTAR,IFREE',ISTAR,IFREE

        IF(IFREE.GE.NBMUTR) GOTO 200

  50  CONTINUE
*
 200  RETURN
      END

