//
//   reconstruction flags
//
//

#include <math.h>
#include <algo.h>

//----------------------------------------------------------------
//   stand alone reconstruction flags
//----------------------------------------------------------------

extern int recoVDS       ;
extern int recoVDSmodule ;
extern int recoITR       ;
extern int recoOTR       ;
extern int recoECAL      ;
extern int recoMUON      ;
extern int recoRICH      ;
extern int recoTRD       ;
extern int recoHPT       ;

#define recoStAl (recoVDS  || recoITR  || recoOTR || recoECAL || recoMUON || recoRICH || recoTRD || recoHPT)

#define recoHITB (recoVDS<=1 && recoITR<=1 && recoOTR<=1 && recoECAL<=1 && recoMUON<=1 && recoRICH<=1 && recoTRD<=1 && recoHPT<=1)

//----------------------------------------------------------------
//   matching flags
//----------------------------------------------------------------

extern int matchMARPLEVdsEcal;
extern int matchMARPLEVdsRich;
extern int matchMARPLEVdsOtr;
extern int matchMARPLEOtrRich;
extern int matchMARPLEOtrEcal;
extern int matchMARPLEEcalRich;
extern int matchVdsRich;
extern int matchVdsEcalRich;
extern int matchTarget;


#define recoMatch (matchMARPLEVdsEcal || matchMARPLEVdsRich || matchMARPLEVdsOtr  || matchMARPLEOtrRich ||matchMARPLEOtrEcal || matchMARPLEEcalRich || matchVdsRich       || matchVdsEcalRich || matchTarget)

//----------------------------------------------------------------
//   particle ID flags
//----------------------------------------------------------------

extern int recoPidRICH;
extern int recoPidECAL;
extern int recoPidMUON;
extern int recoPidTRD;


#define recoPid (recoPidRICH || recoPidECAL || recoPidMUON || recoPidTRD)

//----------------------------------------------------------------
//   track selection, refit
//----------------------------------------------------------------

extern int rcSelectTracksStatus;
extern int rcrefit;

//----------------------------------------------------------------
//   vertexing
//----------------------------------------------------------------

extern int rcMainVertex;
extern int rcK0SVertex;

//----------------------------------------------------------------
//   reco flag
//----------------------------------------------------------------

#define recoFlag (recoStAl || recoMatch || recoPid || rcSelectTracksStatus)

//----------------------------------------------------------------



