// ********************************************************************
//
//  Routine:      rc99AParticleID
//  Author:       T.Oest/D.Samtleben
//
//  Description:  stand alone reconstruction
//
//  Modification:
//   --  RICH particle ID added                     14/09/99  T.Oest
//
// ********************************************************************

#include <iostream.h>
#include <stdlib.h>
#include <stdio.h>

#include "reco/rc99Areco.hh"
#include "reco/rcflags.hh"

int rc99AidRICH(int);
int rc99AidECAL();

static int recoID  = 0;

//********************************************************************
// rcParticleID
//********************************************************************
  int rc99AParticleID() {

  int ECALidFlag = 0;

//===================================================================
//  RICH particle ID for electrons
//===================================================================

    if (recoID) int RICHidFlag = rc99AidRICH(recoID) ;

//===================================================================
//  ECAL particle ID for electrons & gammas
//===================================================================

    if (recoPidECAL) ECALidFlag = rc99AidECAL();

//===================================================================
//  flag for particle ID
//===================================================================

    return 0;

  }


