#include "wax/HITB.hh"

waxHITB* waxHITB::Create(ArtePointer<HITB> hitb)
{
  waxHITB* otrhitb=0;
  if(hitb->gede->cmp==waxGede::GetOTrComponentId())
    otrhitb= new waxHITB(hitb) ;
  return otrhitb ;
}

ArtePointer<TAHB> waxHITB::AppendTAHB() const
{
  TAHB tahb ;
  //tahb.channel = GetCHID() ;
  tahb.channel = GetAsdIndex()*16 + GetChannelIndex() ;
  //tahb.channel = GetGedeIndex()*128 + GetWireIndex() ;
  tahb.dt = GetTdcCount() ;
  return ArteTable<TAHB>::push_back(tahb) ;
}
