*CMZ :          05/07/96  11.35.20  by  Hartwig Albrecht
*CMZ :  2.01/03 07/02/96  14.21.09  by  Hartwig Albrecht
*CMZ :  2.01/01 20/12/95  19.28.15  by  Hartwig Albrecht
*-- Author :    Hartwig Albrecht   19/12/95

      SUBROUTINE ALREST

************************************************************************
*
* Description: Restore Pythia parameters which can be
* overwritten by Fritiof.
*
* Called from: ALPYTH
*
* External references: none
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE


#include "arte/ZPYSAVE.fi"
#include "pyth/PYPARS.fi"
#include "pyth/PYSUBS.fi"

      MSEL = MSELSA
      MSTP(31) = MSTP31
      MSTP(61) = MSTP61
      MSTP(63) = MSTP63
      MSTP(65) = MSTP65
      MSTP(71) = MSTP71
      MSTP(91) = MSTP91
      MSTP(111) = MSTP111
      MSTP(122) = MSTP122

      MSUB(11) = MSUB11
      MSUB(12) = MSUB12
      MSUB(13) = MSUB13
      MSUB(28) = MSUB28
      MSUB(53) = MSUB53
      MSUB(68) = MSUB68
      MSUB(81) = MSUB81
      MSUB(82) = MSUB82
      MSUB(83) = MSUB83
      MSUB(86) = MSUB86
      MSUB(87) = MSUB87
      MSUB(88) = MSUB88
      MSUB(89) = MSUB89
      MSUB(92) = MSUB92
      MSUB(95) = MSUB95

      CKIN(3) = CKIN3
      CKIN(5) = CKIN5
      CKIN(6) = CKIN6
      PARP(81) = PARP81

      END

************************************************************************
* End of ALREST
************************************************************************
