#ifndef __CATS_HH
#define __CATS_HH

#ifdef __cplusplus
extern "C" {
#endif

#include "iol.h"

void cats_param_init(void);
void CatsEvent(void);
void stop_cats(void);

struct Cats_Iol_t {
  IOL_MNAME   module[IOL_MLEN];
  IOL_SIZE    size; 
  IOL_FLOAT   search_window   ;     /* search window around a track [cm]    */
  IOL_FLOAT   target_window   ;     /* radius of a target window [cm]       */
  IOL_INT     gede_plane_off  ;     /* plane to switch off                  */
  IOL_FLAG    draw_display    ;     /* draw event display                   */
};
typedef struct Cats_Iol_t Cats_Iol_t;
extern  Cats_Iol_t cats_iol;

#ifdef __cplusplus
}
#endif

#endif

