
/**********************************************************************/
//
// $Source: /afs/desy.de/group/hera-b/repository/ARTE/cluearte/RecoSegment.C,v $
// $Revision: 1.5 $
// $Author: natasha $
// $Date: 1999/11/02 17:44:56 $
//
// Created: 07-23-99,   I. Siccama, C. Borgmeier
//
/**********************************************************************/


#include <Clue/RecoSegment.hh>
#include <Clue/UtaConversions.h>


RecoSegment::RecoSegment( ArtePointer<RTRA> rtra )
  : param( convert( rtra ) ),
    rTrack( rtra ),
    nF( 0 ),
    chi2( rtra!=0? rtra->chi: 0 )
{
}


RecoSegment::RecoSegment( ArtePointer<RSEG> rseg )
  : param( convert( rseg ) ),
    // this is for misused RSEG entries
    nF( 0 ),
    chi2( rseg->chi )
{
  rTrack.setInt( rseg - *ArteTable<RSEG>::begin() + 1 );
}
