*-- Author :    Hartwig Albrecht   19/05/95

      SUBROUTINE KADZZI (IFLAG)

************************************************************************
*
* Description: init next row for DD commands
*
* Called from: KAD* routines
*
* External references:
*
* Arguments: in/out description
*   IFLAG    in     flag for JDDEF_FLAG
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "arte/ArteFlag.fi"
#include "auto/DDEF.fi"
#include "arte/ZDDCOM.fi"
#include "arte/ZDDEFP.fi"

      INTEGER IFLAG

#include "arte/Arte.ff"
#include "auto/DDEF.ff"

      IF (DATDINIT .EQ. 0)  THEN
        CALL MEERRC (83764,
     +   'DD: data description not initialized by DDEFINIT')
        CALL KADINI
      END IF

      IF (IFLAG .NE. LDDEF_TEX .AND. (IFLAG .LT. LDDEF_IRA .OR.
     +    IFLAG .GT. LDDEF_NBI))  NDDTYP = 0
      CALL MMBOOK (JDDEF, 1)

      IQ(L_L(JDDEF_FLAG,JDDEF)) = IFLAG
      CALL CHCTOH (' ', IQ(L_L(JDDEF_NAME,JDDEF)), NDDEF_NAME)
      CALL CHCTOH (' ', IQ(L_L(JDDEF_NAM2,JDDEF)), NDDEF_NAM2)
      CALL CHCTOH (' ', IQ(L_L(JDDEF_NAM3,JDDEF)), NDDEF_NAM3)
      CALL CHCTOH (' ', IQ(L_L(JDDEF_TEXT,JDDEF)), NDDEF_TEXT)

      END

************************************************************************
* End of KADZZI
************************************************************************
