*-- Author :    Hartwig Albrecht   11/04/95

      SUBROUTINE LIMESS (CTPL)

************************************************************************
*
* Description: print error summary
*
* Called from: anywhere
*
* External references:
*
* Argument in/out description
*  CTPL    in     printer destination
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/ERRC.fi"

      INTEGER I, IC, IN, L, LENOCC, NF, KF
      CHARACTER CTPL*(*), T78*78, CSTAR*78, C1(78)*1
      EQUIVALENCE (C1(1),CSTAR)
      DATA C1 /'*',77*'-'/

#include "arte/Arte.ff"
#include "auto/ERRC.ff"

      CALL MESELP (CSTAR, CTPL)

      IF (JERRC .EQ. 0 .OR. NERRC() .EQ. 0)  THEN
        CALL MESELP ('No errors / warnings / messages', CTPL)
        GO TO 900
      END IF

      DO 110 NF = 0, 1
      KF = 0

      IC = 1
      DO 30 I = 2, NERRC()
        DO 10 L = 1, NERRC_TEXT + 1
          IF (HERRC_TEXT(L,I) - HERRC_TEXT(L,IC))  20,10,30
 10     CONTINUE
 20     IC = I
 30   CONTINUE

 40   IF (NF .EQ. 0)  THEN
        IF (IERRC_CNT(IC) .GE. IERRC_FTL(IC))  GO TO 50
        IF (KF .EQ. 0)  CALL MESELP ('Warnings / messages', CTPL)
      ELSE
        IF (IERRC_CNT(IC) .LT. IERRC_FTL(IC))  GO TO 50
        IF (KF .EQ. 0)  THEN
          CALL MESELP (CSTAR, CTPL)
          CALL MESELP ('Fatal errors', CTPL)
        END IF
      END IF
      IF (KF .EQ. 0)  CALL MESELP ('   Nmess Nprnt err', CTPL)
      KF = 1

      C78 = ' '
      WRITE (C78, '(I8)')  IERRC_CNT(IC)
      IF (IERRC_PRNT(IC) .NE. ILARGEST)
     +  WRITE (C78(9:14), '(I6)')  IERRC_PRNT(IC)
      IF (IERRC_FTL(IC) .NE. ILARGEST)
     +  WRITE (C78(15:18), '(I4)')  IERRC_FTL(IC)

      CALL CHHTOC (IQ(HQERRC_TEXT(1,IC)), T78)
      IF (LENOCC(T78) .GT. 59)  THEN
        CALL ME78SP (CTPL)
        CALL CHRIGH (T78)
        CALL MESELP (T78, CTPL)
      ELSE
        CALL CHAPPC (C78(20:), T78)
        CALL ME78SP (CTPL)
      END IF

 50   IN = 0
      DO 100 I = 1, NERRC()
        IF (I .EQ. IC)  GO TO 100
        DO 60 L = 1, NERRC_TEXT + 1
          IF (HERRC_TEXT(L,I) - HERRC_TEXT(L,IC))  100,60,70
 60     CONTINUE
 70     IF (IN .EQ. 0)  THEN
          IN = I
          GO TO 100
        END IF
        DO 80 L = 1, NERRC_TEXT + 1
          IF (HERRC_TEXT(L,I) - HERRC_TEXT(L,IN))  90,80,100
 80     CONTINUE
 90     IN = I
 100  CONTINUE

      IC = IN
      IF (IN .NE. 0)  GO TO 40

 110  CONTINUE

 900  CALL MESELP (CSTAR, CTPL)

      END

************************************************************************
* End of LIMESS
************************************************************************
