#ifndef MuDbPadArte_h
#define MuDbPadArte_h 1

//## Class: MuDbPadArte
//      /**Author:        Boris Fominykh
//
//      Date:             December 29, 1999
//
//      Class:            MuDbPadArte
//
//      Base Class:       MuDbPad
//
//      Description:
//      This class is to describe the configuration of muon pad chambers,
//      This class can be used only in ARTE frame. */

#include "murec/MuDbPad.h"

class MuDbPadArte:  public MuDbPad
{
  public:
    //## Constructor
           MuDbPadArte();
    //## Destructor
           ~MuDbPadArte();

    //public methods
      //        /** Initialization */
      int Ini();

  protected:

  private:
      //        /** Set the pad chamber structure */
      int setStructArte();
};

#endif
