*
* B.Fominykh  28.07.97
* correction rseg_cmp - 8.06.99 by B.Fominykh 
*
* save the tracks to RSEG in the case of ideal reconstruction
      SUBROUTINE MUITAB(NHT,IHT,MCT,CHI,IOUT)
*     =======================================
* input:  NHT - number of hits
*         IHT - list of hits
*         MCT - MC track number
* output: IOUT=0 O.K.
*
      IMPLICIT NONE
*
      INTEGER NHT,IHT(1),MCT,IOUT
      INTEGER I,J,NH,JH,IHB,ISG,JS
      REAL CHI,CHIW,WW
      REAL PARE(5),COVE(4,4)
      DOUBLE PRECISION WWD
#include "murec/MUCKALF.fi"
#include "murec/MUCTAB.fi"
#include "arte/Arte.fi"
#include "auto/RSEG.fi"
#include "arte/RSEG_cmp.fi"
#include "auto/MTRA.fi"

      integer matrix_pack(5,5) ! (copied from R. M.)
      data matrix_pack
     +     / 1,  2,  4,  7, 11,
     +       2,  3,  5,  8, 12,
     +       4,  5,  6,  9, 13,
     +       7,  8,  9, 10, 14,
     +      11, 12, 13, 14, 15 /
      save matrix_pack

#include "arte/Arte.ff"
#include "auto/RSEG.ff"
#include "auto/MTRA.ff"
C----+===1=========2=========3=========4=========5=========6=========7==********
      IOUT=1
* check-point
      IF(JRSEG.LE.0) THEN
        CALL MMBOOK(JRSEG,0)
        IF(JRSEG.LE.0) GOTO 900
      ENDIF
      IF(IQ(JRSEG+1).LE.0) GOTO 900
* add the segment
        CALL MMBOOK(JRSEG,1)
* #segment
        ISG=IQ(JRSEG+2)
* refit
        CALL MUREFIT(NHT,IHT,ISG,CHIW,PARE,COVE)
* fill the track segment
        JS=JRSEG+IQ(JRSEG+1)*(ISG-1)+2
        Q(JS+JRSEG_ZF)  = PARAM(1)
        Q(JS+JRSEG_XF) = PARAM(2)
        Q(JS+JRSEG_YF) = PARAM(3)
        Q(JS+JRSEG_TXF) = PARAM(4)
        Q(JS+JRSEG_TYF) = PARAM(5)
        Q(JS+JRSEG_PF)  =  0.
        DO I=1,5
          DO J=I,5
          IF(I.LT.5.AND.J.LT.5) THEN
            WWD=0.5*(COV(I,J)+COV(J,I))
            Q(JS+JRSEG_CVF+matrix_pack(I,J)-1)=WWD
          ELSE
            Q(JS+JRSEG_CVF+matrix_pack(I,J)-1)=0.
          ENDIF
         ENDDO
        ENDDO
        Q(JS+JRSEG_ZE)  = PARE(1)
        Q(JS+JRSEG_XE)  = PARE(2)
        Q(JS+JRSEG_YE)  = PARE(3)
        Q(JS+JRSEG_TXE) = PARE(4)
        Q(JS+JRSEG_TYE) = PARE(5)
        Q(JS+JRSEG_PE)  = 0.
        DO I=1,5
          DO J=I,5
          IF(I.LT.5.AND.J.LT.5) THEN
            WW=0.5*(COVE(I,J)+COVE(J,I))
            Q(JS+JRSEG_CVE+matrix_pack(I,J)-1)=WW
          ELSE
            Q(JS+JRSEG_CVE+matrix_pack(I,J)-1)=0.
          ENDIF
         ENDDO
        ENDDO
         Q(JS+JRSEG_CHI) = CHI
        IQ(JS+JRSEG_FIT) = 0
        IQ(JS+JRSEG_CMP) = rsegc_muon

* relations
      DO 20 I=1,NHT
* #hitb
        NH =IHT(I)
        JH =JTMP9+IQ(JTMP9+1)*(NH-1)+2
        IHB=IQ(JH+1)          
        CALL MMBREL(JRSHI,ISG,IHB)   ! #segment - #hitb
  20  CONTINUE
      IF(MCT.GT.0) CALL MMBREL(JMTRS,MCT,ISG)   ! #MCtrack - #segment

      IOUT=0
*
 900  CONTINUE
      RETURN
      END









