*CMZ :  4.05/00 09/04/96  18.16.11  by  Rainer Mankel
*CMZ :  4.04/00 09/12/95  19.34.31  by  Rainer Mankel
*CMZ :  4.03/01 04/08/95  14.57.16  by  Rainer Mankel
*CMZ :  4.02/00 09/05/95  17.57.16  by  Rainer Mankel
*-- Author :    Rainer Mankel   09/05/95

      subroutine dirich()

*     **** display the RICH (in some views only)
      implicit none
#include "pris/zgraf.fi"
      real x(5), y(5), dx1, dx2, dy1, dy2, z1, z2

*     **** conical coordinates
      data z1 /860./, z2 /1160./

      dx1 = z1 * .280
      dx2 = z2 * .280

      dy1 = z1 * .200
      dy2 = z2 * .200

      if (iviewzg.eq.1) then
*      **** xz view: magnetic field is a trapezoid
       x(1) = z1
       y(1) = dx1
       x(2) = z2
       y(2) = dx2
       x(3) = z2
       y(3) = -dx2
       x(4) = z1
       y(4) = -dx1
       x(5) = x(1)
       y(5) = y(1)

*      **** check if visible
       if (amax1(x(1),x(2)).lt.xminzg) go to 999
       if (amin1(x(1),x(2)).gt.xmaxzg) go to 999
       if (amax1(y(1),y(2),y(3),y(4)).lt.yminzg) go to 999
       if (amin1(y(1),y(2),y(3),y(4)).gt.ymaxzg) go to 999

*      **** draw polygon
       call igset('PLCI',corivzg)
       call igset('FACI',corivzg)
       call igset('FAIS',1.)
       call igset('BORD',0.)
       call ifa(5,x,y)
*      **** border of polygon
       call igset('PLCI',coribzg)
       call igset('FAIS',0.)
       call igset('LWID',7.)
       call ipl(5,x,y)
       call igset('LWID',1.)

      elseif (iviewzg.eq.2) then
*      **** yz view: magnetic field is a trapezoid
       x(1) = z1
       y(1) = dy1
       x(2) = z2
       y(2) = dy2
       x(3) = z2
       y(3) = -dy2
       x(4) = z1
       y(4) = -dy1
       x(5) = x(1)
       y(5) = y(1)

*      **** check if visible
       if (amax1(x(1),x(2)).lt.xminzg) go to 999
       if (amin1(x(1),x(2)).gt.xmaxzg) go to 999
       if (amax1(y(1),y(2),y(3),y(4)).lt.yminzg) go to 999
       if (amin1(y(1),y(2),y(3),y(4)).gt.ymaxzg) go to 999

*      **** draw polygon
       call igset('PLCI',corivzg)
       call igset('FACI',corivzg)
       call igset('FAIS',1.)
       call igset('BORD',0.)
       call ifa(5,x,y)
*      **** border of polygon
       call igset('PLCI',coribzg)
       call igset('FAIS',0.)
       call igset('LWID',7.)
       call ipl(5,x,y)
       call igset('LWID',1.)

      endif

 999  end
