/* Usage:

   call_via_istr              (F f, (Arg1*)0, ..., (ArgN*)0); or
   call_via_istr_check_EOF    (F f, (Arg1*)0, ..., (ArgN*)0); or
   call_via_istr_conditionally(F f, (Arg1*)0, ..., (ArgN*)0, Condition c);

   call_via_istr_1par              (F f, (Arg1*)0, ..., (ArgN*)0, (P1*)0);
   call_via_istr_check_EOF_1par    (F f, (Arg1*)0, ..., (ArgN*)0, (P1*)0);
   call_via_istr_conditionally_1par(F f, (Arg1*)0, ..., (ArgN*)0, (P1*)0,
                                    Condition c);

   call_via_istr_2par              (F f, (Arg1*)0, ..., (ArgN*)0,
                                    (P1*)0, (P2*)0);
   call_via_istr_check_EOF_2par    (F f, (Arg1*)0, ..., (ArgN*)0,
                                    (P1*)0, (P2*)0);
   call_via_istr_conditionally_2par(F f, (Arg1*)0, ..., (ArgN*)0,
                                    (P1*)0, (P2*)0, Condition c);

   and so on till call_via_istr_5par*(...)

	 See files call_via_istr_*par.hh for more details
*/

// Author V.Balagura (balagura@mail.desy.de)   (10.04.98).

#ifndef _call_via_istr_hh
#define _call_via_istr_hh 1

#include "ptset/call_via_istr_0par.hh"
#include "ptset/call_via_istr_1par.hh"
#include "ptset/call_via_istr_2par.hh"
#include "ptset/call_via_istr_3par.hh"
#include "ptset/call_via_istr_4par.hh"
#include "ptset/call_via_istr_5par.hh"

#endif
