// 
//  Author:  Rainer Mankel                     Created:  29-Apr-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@infh.de                     HERA-B Collaboration
// 

#include "rang/VLT.hh"

rangerVLT::rangerVLT(int cmp,int gl1,int gl2,int gl3,int gl4,
		     int gl5,int gl6,int gl7,int gl8,
		     int gl9,int gl10) {
  cmpVal = cmp;

  if (gl1) SLSs.push_back( new rangerSubLayerSet(gl1) );
  if (gl2) SLSs.push_back( new rangerSubLayerSet(gl2) );
  if (gl3) SLSs.push_back( new rangerSubLayerSet(gl3) );
  if (gl4) SLSs.push_back( new rangerSubLayerSet(gl4) );
  if (gl5) SLSs.push_back( new rangerSubLayerSet(gl5) );
  if (gl6) SLSs.push_back( new rangerSubLayerSet(gl6) );
  if (gl7) SLSs.push_back( new rangerSubLayerSet(gl7) );
  if (gl8) SLSs.push_back( new rangerSubLayerSet(gl8) );
  if (gl9) SLSs.push_back( new rangerSubLayerSet(gl9) );
  if (gl10) SLSs.push_back( new rangerSubLayerSet(gl10) );

  for (vector<rangerSubLayerSet*>::iterator sli=SLSs.begin();
       sli != SLSs.end(); ++sli) {
    cout << "---> SubLayerSet=" << (*sli)->gLayer << endl;
  }
}

