*-- Author :    Rainer Mankel   31/05/96

      subroutine tfremv(rv,imvass,fracmv)

      implicit none
#include "arte/Arte.fi"
#include "auto/MC.fi"
#include "auto/REC.fi"

      integer rv, imvass
      integer ntr,rr,rt,mt,mv,max_ass,nmxass,ind_rr,iirr,iimt,ind_mt
      real fracmv
      parameter (max_ass=40)
      integer i_ass,n_ass,ass(max_ass),count_ass(max_ass),mv_winner,
     +     count_winner

#include "arte/Arte.ff"
#include "auto/MC.ff"
#include "auto/REC.ff"


*     **** calculate for reconstructed track IT  the
*     **** associated MC particle

      n_ass = 0

*     **** loop over tracks used for vertex
      ntr = 0

      do 10 iirr=1,999        ! locate rt tracks associated with vert
         if (iirr.eq.1) then
            ind_rr = prver_rrel(rv)
         else
            ind_rr = xrver_rrel(ind_rr)
         endif
         if (ind_rr.le.0) go to 11
         rr = mrver_rrel(ind_rr)
         rt = orrel_rtra(rr)
**         print *,' rv,rr,rt=',rv,rr,rt
         
         ntr = ntr + 1

*        **** locate MC particles associated with this track
         do 20 iimt=1,999
            if (iimt.eq.1) then
               ind_mt = prtra_mtra(rt)
            else
               ind_mt = xrtra_mtra(ind_mt)
            endif
            if (ind_mt.eq.0) go to 21

            mt = mrtra_mtra(ind_mt)

            mv = omtra_bver(mt)

**            print *,' -----> rv,rt,mt,mv=',rv,rt,mt,mv

            if (mv.lt.1.or.mv.gt.iq(jmver+2)) then
               print *,' () tfremv: invalid mv=', mv
               go to 20
            endif

            do i_ass=1,n_ass    ! check if already registered
               if (ass(i_ass).eq.mv) then
                  count_ass(i_ass) = count_ass(i_ass) + 1
                  go to 20
               endif
            enddo
            
            if (n_ass.lt.max_ass) then
               n_ass = n_ass + 1 ! register
               ass(n_ass) = mv
               count_ass(n_ass) = 1
            else
               print *,' () tfremv: overflowing n_ass=', n_ass
            endif
 20      continue
 21      continue

 10    continue
       print *,' () tfremv: loop finished'
 11    continue

*      **** get maximum
       mv_winner = 0
       count_winner = 0

**       print *,' rv=',rv,' ntr=',ntr
       do i_ass=1,n_ass
**          print *,' --> i_ass=',i_ass,' mt=',ass(i_ass),
**     +         ' count=',count_ass(i_ass)
          if (count_ass(i_ass).gt.count_winner) then
             mv_winner = ass(i_ass)
             count_winner = count_ass(i_ass)
          endif
       enddo

       imvass = mv_winner
       fracmv = float( count_winner ) / float( ntr )

       end
