*-- Author :    Rainer Mankel   16/05/95

      subroutine tfseed()

*     **** load seeding tables from file
      implicit none
#include "rang/zseed.fi"
      integer lun_nav, method, igen, ipl1, ipl2, record
      parameter (lun_nav=53)      ! navigation table output unit
      logical lopened, init
      character*80 crecord, cfile
      character*3 cmethod

      save init
      data init /.false./

      if (init) go to 999
      init = .true.
      inquire(lun_nav,opened=lopened)
      if (lopened) then
       print *,' () tfseed: logical unit ', lun_nav,' already open '
       go to 999
      endif
      open(lun_nav,file='seed-table.dat',access='sequential',
     +             status='old')
      inquire(lun_nav,name=cfile)

*     **** reset seed table
      nczs(1) = 0
      nczs(2) = 0

      print *,' tfseed: start seed input from file ',cfile
      do 10 record=1,999999      ! loop over records in file
       read(lun_nav,'(a80)',end=11) crecord
       if (crecord(1:4).eq.'seed') then  ! process seed entry
        read(crecord,'(4x,1x,a3,1x,2i5)') cmethod, ipl1, ipl2
        if (cmethod.eq.'all') then
         method = 1
        elseif (cmethod.eq.'zer') then
         method = 2
        elseif (cmethod.eq.'ste') then
         method = 3
        else
         print *,' () tfseed: invalid cmethod=', cmethod
         go to 999
        endif

*       **** add to seed list
        if (method.eq.1) then
         print *,' () tfseed: 3D seeding no longer implemented'
        else
         igen = method - 1
         if (nczs(igen).lt.ncmxzs) then
          nczs(igen) = nczs(igen) + 1
          iplazs(1,nczs(igen),igen) = ipl2
          iplazs(2,nczs(igen),igen) = ipl1
         else
          print *,' () tfseed: overflow for igen=', igen
          go to 999
         endif
        endif
       elseif (crecord(1:1).eq.'*') then
*       **** comment line: no action
       else
        print *,' () tfseed: invalid record:', crecord
        go to 10
       endif
 10   continue
      print *,' () tfseed: no end-of-file found'
 11   continue
      print *,' tfseed: seeds loaded=', nczs(1),' (x) ',
     +                                  nczs(2),' (y)'

      close(lun_nav)
 999  end









