*-- Author :    Rainer Mankel   19/09/96

      subroutine tfswz0()

*     **** test tfswim
      implicit none
      real x_bef(5),c_bef(5,5),x_aft(5),c_aft(5,5),z_bef,z_aft,
     +     c_dir(5,5),cpp(5,5)
      double precision cc(5,5),f(5,5),sum
      integer it,i,j,istat,ii,jj,ifail,k,l
#include "arte/Arte.fi"
#include "auto/RTRA.fi"

#include "pris/zmpack.fi"

#include "arte/Arte.ff"
#include "auto/RTRA.ff"

      do 10 it=1,iq(jrtra+2)
         if (irtra_fit(it).lt.2) go to 10
         if (frtra_zf(it).lt.200..or.frtra_zf(it).gt.450.) go to 10

         print *,' track ',it,' swim from ',frtra_zf(it),
     +        ' to ',0.

         x_bef(1) = frtra_xf(it)
         x_bef(2) = frtra_yf(it)
         x_bef(3) = frtra_txf(it)
         x_bef(4) = frtra_tyf(it)
         x_bef(5) = frtra_pf(it)
         z_bef = frtra_zf(it)
         z_aft = 0.

         do i=1,5
            do j=1,5
               c_bef(i,j) = frtra_cvf(matrix_pack(i,j),it)
            enddo
         enddo

         call tfswim(it,z_aft,x_aft,c_aft,istat)

         print *,' istat=',istat

         do i=1,5
            do j=1,5
               if (i.eq.j) then
                  f(i,j) = 1.
               else
                  f(i,j) = 0.
               endif
            enddo
         enddo
         f(1,3) = z_aft - z_bef
         f(2,4) = f(1,3)

         do i=1,5
            do j=1,5
               sum = 0.
               do k=1,5
                  do l=1,5
                     sum = sum + f(i,k) * c_bef(k,l) * f(j,l)
                  enddo
               enddo
               c_dir(i,j) = sum
            enddo
         enddo

         do i=1,5
            do j=1,5
               if (i.eq.5.or.j.eq.5) then
                  if (i.eq.j) then
                     cpp(i,j) = c_aft(i,j) / (x_aft(5)**2)**2
                  else
                     cpp(i,j) = - c_aft(i,j) / x_aft(5)**2
                  endif
               else
                  cpp(i,j) = c_aft(i,j)
               endif
            enddo
         enddo

         print 101,(ii,x_bef(ii),x_aft(ii),x_bef(ii)-x_aft(ii),ii=1,5)
 101     format(//'track parameters:'//5(i5,' before ',f12.4,
     +        '   after ',f12.4,'  diff ',f12.4/))

         print 102,((ii,jj,c_dir(ii,jj),c_aft(ii,jj),
     +        c_dir(ii,jj)-c_aft(ii,jj),
     +        jj=1,ii),ii=1,5)
 102     format(//'cov matrix:'//25(i5,i5,' before ',
     +        e12.4,
     +        '   after ',e12.4,'  diff ',e12.4/))

         do i=1,5
            do j=1,5
               cc(i,j) = c_dir(i,j)
            enddo
         enddo
         call dsinv(5,cc,5,ifail)
         print *,' Inversion test bef, ifail=',ifail
         do i=1,5
            do j=1,5
               cc(i,j) = c_aft(i,j)
            enddo
         enddo
         call dsinv(5,cc,5,ifail)
         print *,' Inversion test aft, ifail=',ifail

         do i=1,5
            do j=1,5
               cc(i,j) = cpp(i,j)
            enddo
         enddo
         call dsinv(5,cc,5,ifail)
         print *,' Inversion test cpp, ifail=',ifail

         print 103,' Cpp correlation matrix:',
     +        (((cpp(i,j)/sqrt(cpp(i,i)*cpp(j,j))),i=1,5),j=1,5)
 103     format(/(a),5(/5f8.3)/)

         print *,' any key '
         read(*,*)
 10   continue

      end









