*-- Author :    Rainer Mankel   20/02/96

      real function tfwall(ipl,z2,x0,y0,tx,ty)

*     **** get rad thickness traversed travelling from
*     **** ipl to new z position z2
      implicit none
#include "arte/Arte.fi"
      integer maxwall, maxpl
      real max_z_ms
      parameter (maxwall=9000,maxpl=4000,max_z_ms=1500.)
      integer ipl, indz(maxwall), ipwall(maxpl), ii, nwall, iindwall,
     +     wall,ipplan(maxpl),indzpl(maxpl),current_pl,nplsort,iindpl,
     +     nprint
      real z1, z2, z(maxwall), x, y, dz, thickness, pnoise, x0, y0,
     +     tx, ty, rsq,zpl(maxpl),xw,yw
      logical init
      integer message_id_1,message_id_2,message_id_3,message_id_4,
     +     message_id_5
      character*70 ccc
#include "auto/GEO.fi"
#include "rang/zfpar.fi"
      save init,ipwall,ipplan,nplsort,nprint,message_id_1,message_id_2,
     +     message_id_3,message_id_4,message_id_5
      data init /.false./, nprint /0/, message_id_1/1/, 
     +     message_id_2/2/,message_id_3/3/,message_id_4/4/,
     +     message_id_5/5/

#include "arte/Arte.ff"
#include "auto/GEO.ff"

      if (.not.init) then
         nwall = min0(iq(jgwal+2),maxwall)
         if (nwall.lt.iq(jgwal+2)) then
            ccc = ' '
            write(ccc,'(a14,i6,a22)')
     +           'tfwall: too many walls, ',iq(jgwal+2)
            call mepric(message_id_1,1,ccc)
         endif

         do ii=1,nwall
            z(ii) = fgwal_zmin(ii)
            if (igwal_shp(ii).le.3
     +           .or. igwal_shp(ii).eq.5
     +           .or. igwal_shp(ii).eq.42
     +           .or. igwal_shp(ii).eq.34) then
            else
               ccc = ' '
               write(ccc,'(a14,i6,a22)')
     +              'tfwall: shape ',igwal_shp(ii),
     +              ' is not yet supported'
               call mepric(message_id_2,1,ccc)
            endif
         enddo

         call sortzv(z,indz,nwall,+1,0,0)

         do ii=1,min0(maxpl,iq(jgede+2)) ! set wall pointer for planes
            ipwall(ii) = 0
            do 10 iindwall=nwall,1,-1
               wall = indz(iindwall)
               if (z(wall).lt.fgede_zmin(ii)) then
                  ipwall(ii) = iindwall
                  go to 11
               endif
 10         continue
 11         continue
         enddo

         do ii=1,maxpl
            ipplan(ii) = 0
         enddo

         nplsort = 0
         do ii=1,iq(jgede+2)
            if (fgede_zmax(ii).lt.max_z_ms) then
               if (fgede_ms(ii).gt.0.) then
                  if (ii.le.maxpl) then
                     nplsort = nplsort + 1
                     indzpl(nplsort) = ii
                     zpl(ii) = fgede_zmin(ii)
                  else
                                ! plane is in overflow area
                  endif
               else
                  ccc = ' '
                  write(ccc,'(a30,i6,a5,i6)')
     +                 'tfwall: no fgede_ms for plane ',ii,
     +                 ' cmp=',igede_cmp(ii)
                  call mepric(message_id_3,1,ccc)
               endif
            endif
         enddo

         if (nplsort.ge.maxpl) then
            call mepric(message_id_4,1,
     +           'tfwall: plane cache is at limit')
         endif


         call sortzv(zpl,indzpl,nplsort,+1,0,1) ! sort planes

         do iindpl=nplsort,1,-1
            if (iindpl.eq.1) then
               ipplan(indzpl(iindpl)) = 0
            else
               ipplan(indzpl(iindpl)) = indzpl(iindpl-1)
            endif
         enddo

         init = .true.
      endif

      tfwall = 0.
      if (msmode_zfpar.eq.0) go to 999

*     **** determine traversed thickness
      z1 = fgede_zmin(ipl)
      if (ipl.gt.maxpl) go to 999  ! no lookup possible for this plane

      thickness = 0.

*     **** pick up traversed walls
      if (msmode_zfpar.lt.2) go to 21
      do 20 iindwall=ipwall(ipl),1,-1
         wall = indz(iindwall)
         if (fgwal_zmin(wall).lt.z2) go to 21 ! end of prediction range
         dz = fgwal_zmin(wall) - z1
         if (igwal_shp(wall).le.2
     +  .or. igwal_shp(wall).eq.42
     +  .or. igwal_shp(wall).eq.34) then
            x = x0 + tx * dz
            if (x.gt.fgwal_xmin(wall).and.x.lt.fgwal_xmax(wall)) then
               y = y0 + ty * dz
               if (y.gt.fgwal_ymin(wall).and.y.lt.fgwal_ymax(wall)) then
                  thickness = thickness + fgwal_ms(wall)
               endif
            endif
         elseif (igwal_shp(wall).eq.3) then ! trapezoid
            x = x0 + tx * dz
            y = y0 + ty * dz
            if (abs(x).lt.fgwal_xmax(wall)
     +           .and.abs(y).lt.fgwal_ymax(wall)) then
               thickness = thickness + fgwal_ms(wall)
            endif
         elseif (igwal_shp(wall).eq.5) then ! hollow cylinder
            x = x0 + tx * dz
            y = y0 + ty * dz
            rsq = x**2 + y**2
            if (rsq.gt.fgwal_xmin(wall)**2
     +           .and.rsq.lt.fgwal_xmax(wall)**2) then
               thickness = thickness + fgwal_ms(wall)
            endif
         endif
 20   continue
 21   continue

*     **** pick up traversed planes
      current_pl = ipl
      if (current_pl.le.0.or.current_pl.gt.maxpl) go to 31

      if (msmode_zfpar.lt.3) go to 31

      do 30 ii=1,max_plpick_zfpar
         current_pl = ipplan(current_pl)
         if (current_pl.le.0.or.current_pl.gt.maxpl) go to 31
         if (fgede_zmin(current_pl).lt.(z2+0.5)) go to 31

         dz = fgede_zmin(current_pl) - z1

         if (igede_shp(current_pl).le.2
     +  .or. igede_shp(current_pl).eq.42
     +  .or. igede_shp(current_pl).eq.34) then
            xw = x0 + tx * dz   ! world coordinates at plane
            yw = y0 + ty * dz   !

            x  =   xw * fgede_rot(1,current_pl) ! rotate into border sy
     +           - yw * fgede_rot(2,current_pl)
            y  =   xw * fgede_rot(2,current_pl)
     +           + yw * fgede_rot(1,current_pl)

            if (x.gt.fgede_xmin(current_pl)
     +           .and.x.lt.fgede_xmax(current_pl)) then
               y = y0 + ty * dz
               if (y.gt.fgede_ymin(current_pl)
     +              .and.y.lt.fgede_ymax(current_pl)) then
                  thickness = thickness + fgede_ms(current_pl)
 101              format((a),i5,(a),f8.2,(a),f8.2,(a),e12.3,(a),i5,
     +                 (a),f8.2)
               endif
            endif
         elseif (igede_shp(current_pl).eq.10) then
            xw = x0 + tx * dz   ! world coordinates at plane
            yw = y0 + ty * dz   !

            x  =   xw * fgede_rot(1,current_pl) ! rotate into plane sy
     +           - yw * fgede_rot(2,current_pl)
            y  =   xw * fgede_rot(2,current_pl)
     +           + yw * fgede_rot(1,current_pl)

            x = x - y * fgede_sin(current_pl) / fgede_cos(current_pl)
     +                                          ! shear into border sy

            if (x.gt.fgede_xmin(current_pl)
     +           .and.x.lt.fgede_xmax(current_pl)) then
               y = y0 + ty * dz
               if (y.gt.fgede_ymin(current_pl)
     +              .and.y.lt.fgede_ymax(current_pl)) then
                  thickness = thickness + fgede_ms(current_pl)
               endif
            endif
         elseif (igede_shp(current_pl).eq.3) then ! trapezoid
            x = x0 + tx * dz
            y = y0 + ty * dz
            if (abs(x).lt.fgede_xmax(current_pl)
     +           .and.abs(y).lt.fgede_ymax(current_pl)) then
               thickness = thickness + fgede_ms(current_pl)
            endif
         elseif (igede_shp(current_pl).eq.5) then ! hollow cylinder
            x = x0 + tx * dz
            y = y0 + ty * dz
            rsq = x**2 + y**2
            if (rsq.gt.fgede_xmin(current_pl)**2
     +           .and.rsq.lt.fgede_xmax(current_pl)**2) then
               thickness = thickness + fgede_ms(current_pl)
            endif
         endif

 30   continue
      call mepric(message_id_5,1,
     +     'tfwall: plane pickup limit reached')

 31   continue

*     **** add noise from starting plane
      if (fgede_ms(ipl).gt.0.) then
         pnoise = fgede_ms(ipl)
      else
         pnoise = 0.
      endif

      tfwall = thickness + pnoise

 999  end
