
// 
//  Author:  A. Spiridonov                     Created:  04-Okt-99
//           DESY/Zeuthen                      Modified:  
//  Email:   spiridonl@ifh.de                  HERA-B Collaboration
// 

// rc99AOTR.C
// reconstruction of OTR

#include "reco/rc99Areco.hh"

// Prototypes

void waxevnt();
int rc99removeBadRseg();

extern "C" {
  void tfevntr_();
}

int rc99AOTR(int level) { 

//                    hit preparation for OTR

  if (level ==1 || level ==3 ) waxevnt();

//                    ranger tracking

  if ( level > 1 ) tfevntr_();

  if(level>1) int removeflag=rc99removeBadRseg();

  return 0;
}
