// ********************************************************************
//
//  Routine:      rcDQflag
//  Author:       T.Oest
//
//  Description:  fill DQ error histogram
//
//  Modification:
//
// ********************************************************************

// includes
#include <iostream.h>
#include <stdlib.h>
#include <math.h>
#include <algo.h>
#include "arte/RSEG_cmp.hh"

#include "arte/arte.hh"
#include "rhp.h" 
#include "dq/DQ.h"

//*****************************************************************
// function
//*****************************************************************

void rcDQflag(){

//-----------------------------------------------------------------
//  
//-----------------------------------------------------------------

  float error = 1.0;

  if (ArteTable<EVRC>::size() > 0){
   ArtePointer<EVRC> evrc( ArteTable<EVRC>::size());

   if (evrc->errmask == 0) error = 0.0;
  };

  rhp_hf1( DQ_ID(COMP_RECO, LVL_REC, 1) , error, 1 );

};




