#ifndef _L3_SLP_HH_
#define _L3_SLP_HH_
// *****************************************************************************
//
// source:    L3_SLP.hh
//
// type:      include file
//
// created:   06 Dec 1999
//
// authors:   Stefan Scharein, Ullrich Schwanke
//            HERA-B Collaboration
//            DESY Zeuthen
//            Platanenallee 6
//            D-15738 Zeuthen
//            Germany
//            email: scharein@ifh.de, schwanke@ifh.de
//
// changes:
//
// *****************************************************************************

#include "L3_Defines.hh"
#include "L3_Track.hh"

class L3_SLP {
public:
  static void init();
  static void fill();
  static void clear();
  static vector<L3_Track> getL2Tracks();
  static int getL2EventNr();
  static void setL2EventNr(int newnr);
  static void setL2Tracks(vector<L3_Track> &);
  static void PrintSltInfo();
private:
  static int l2eventnr;
  static vector<L3_Track> l2tracks;
};

#endif
