#ifndef __WAX_EVENT_HH__
#define __WAX_EVENT_HH__

#ifndef __SGI_STL_VECTOR
#include <vector>
#endif
#ifndef __ARTE_HH__
#include <arte/arte.hh>
#endif

class waxHit ;

class waxEvent
{
public:
  // typedefs, enumerates
  typedef std::vector<waxHit> HitContainer ;

  // constructors, destructor, assignment
  waxEvent() ;
  virtual ~waxEvent() ;

  // methods
  void Next() ;
  void NextMCEvent() ;
  void NextMDSTEvent() ;
  void NextDOTREvent() ;
  void NextTATREvent(ArtePointer<TATR> tatr) ;

private:
  int fId ;             // Event id 
  HitContainer fHits ;  // Measured hits
} ;

#endif
